--- src/chuck_main.cpp	Tue Sep 27 14:45:49 2005
+++ src/chuck_main.cpp.new	Sun Oct  2 23:43:01 2005
@@ -249,6 +249,15 @@
 }
 
 
+//-----------------------------------------------------------------------------
+// name: version()
+// desc: ...
+//-----------------------------------------------------------------------------
+void version()
+{
+    fprintf( stderr, "chuck version: %s\n", CK_VERSION );
+    fprintf( stderr, "   http://chuck.cs.princeton.edu/\n\n" );
+}
 
 
 //-----------------------------------------------------------------------------
@@ -347,6 +356,11 @@
                  || !strcmp(argv[i], "--about") )
             {
                 usage();
+                exit( 2 );
+            }
+            else if( !strcmp( argv[i], "--version" ) )
+            {
+                version();
                 exit( 2 );
             }
             else if( otf_send_cmd( argc, argv, i ) )
